org.apache.fontbox.afm

## Class Composite

- java.lang.Object
- - org.apache.fontbox.afm.Composite

    public class Composite
    extends Object

This class represents composite character data.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`Composite()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPart(CompositePart part)` This will add a composite part.
`String` `getName()` Getter for property name.
`List<CompositePart>` `getParts()` Getter for property parts.
`void` `setName(String nameValue)` Setter for property name.
`void` `setParts(List<CompositePart> partsList)` Setter for property parts.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Composite

    public Composite()

### Method Detail

#### getName

    public String getName()

Getter for property name.

Returns:
  Value of property name.

#### setName

    public void setName(String nameValue)

Setter for property name.

Parameters:
  `nameValue` - New value of property name.

#### addPart

    public void addPart(CompositePart part)

This will add a composite part.

Parameters:
  `part` - The composite part to add.

#### getParts

    public List<CompositePart> getParts()

Getter for property parts.

Returns:
  Value of property parts.

#### setParts

    public void setParts(List<CompositePart> partsList)

Setter for property parts.

Parameters:
  `partsList` - New value of property parts.